0
votes
0answers
11 views

rpm command stucks in my machine

in CentOs 5 rpm command stucks in my linux machine... [root@manage glib]# rpm -i libgcc-4.1.1-52.el5.i386.rpm [root@manage glib]# ps -efww | grep libgcc root 2020 32168 0 13:50 pts/0 ...
5
votes
4answers
568 views

Should I install x86_64 or i386 RPM packages? [closed]

I am wanting to install an RPM package, but I'm not sure whether to install the x86_64 or i386 version. WHM says CENTOS 6.5 i686 virtuozzo at the top. How can I determine which version to install?
1
vote
2answers
54 views

Is it possible to force a linux install to continue?

I'm PXE booting a linux distro that I'd like to contain a list of packages. I have these packages listed in a kickstart file for inclusion. Some of these packages won't work with the current distro, ...
4
votes
2answers
217 views

Make kernel modules available that have been deactivated on Fedora

I need some kernel modules which are available in the Linux source but deactivated on Fedora 20 and I wonder what's the easiest and most forward way to do make them available. (namely then net/CAN ...
0
votes
1answer
42 views

dovecot rhel 5 installation fails because of newer libraries

to whom it may respond to, we are trying to install dovecot (dovecot-2.2.10-1_14.el5.x86_64) on a RHEL 5.4 server and we get the error : [root@asgfkm /]# rpm -i dovecot-2.1.17-0_136.el5.x86_64.rpm ...
1
vote
2answers
28 views

Access RPM database

I would like to find where information is stored about which RPM packages are installed? I know that there is a internal database for this. Can I access somehow this database with Java?
-4
votes
3answers
104 views

How Do I Install CentOS with Minimum Amount of Packages? [closed]

After running rpm -qa | less there was a result of 234 installed packages. From my experiences with default installations, there are usually applications installed that are not required by the system. ...
7
votes
2answers
367 views

How can I mirror a yum repository but download only the newest versions of each package?

I would like to mirror the following Yum/RPM repositories at http://yum.puppetlabs.com/ : http://yum.puppetlabs.com/el/6/products/ http://yum.puppetlabs.com/el/6/dependencies/ ...
1
vote
1answer
54 views

How to compile sources into rpmbuild BUILDROOT?

All the information I can find about building RPMs seems to pre-date CentOS 6, and as a complete package-building novice running CentOS 6.5, I'm rather stuck. All the tutorials I've read mention one ...
0
votes
1answer
226 views

Yum broken in Amazon instance

This is an instance launched using Amazon AMI. when I run yum with anything (search,install, etc), this is what I am getting: yum search yum error: bad option 'archcolor' at (null):93 Loaded ...
0
votes
1answer
45 views

packaging current linux kernel as a rpm

I have just built a custom kernel from source (obtained from kernel.org). I can boot from it fine on my local box. I now want to make it easy for a colleague to try this kernel out. Is there an easy ...
0
votes
1answer
57 views

Where to download MySQL server 5.0.77-log

I have MySQL Server version: 5.0.77-log Source distribution on a RHEL6 server. I need to reinstall it on a second RHEL6 server to set up a testing environment but I cannot find where to download this ...
0
votes
1answer
120 views

How can i install mysql_config on Red Hat Linux 4?

I've been tasked with implementing a few upgrades on a Red Hat Linux 4 box that is already running MySQL. I've found the need for the mysql_config tool, but i can't locate it as already being ...
0
votes
0answers
70 views

rpm dependency failed to install, package installed anyway

I have this issue and I would like to understand why it is like this. I have build 3 really simple rpm packages called a, b and c, and I made a independant, b depending on a and c depending on a and ...
-1
votes
2answers
63 views

Compare installed rpm packages with available?

I would like to find the vmware packages that I haven't installed from their repo. The problem is that the output of yum search vmware is not the same format at from rpm -qa|grep vmware. Question ...
2
votes
1answer
92 views

Cannot install net-tools on Red Hat Linux

The isolated networking lab is running Red Hat Linux 9 (Shrike). We still use this "ancient" release, because given the simplicity of the protocols examined, it is sufficient. In addition, because of ...
0
votes
1answer
272 views

Centos 6.4. building rpm for cups 1.7

I try to build rpm from source by running rpmbuild -ta cups-1.7.0-source.tar.gz --without dbus but get Processing files: cups-1.7.0-1.x86_64 error: File not found: ...
2
votes
2answers
253 views

RHEL 5 list missing critical patches/packages

Im trying to figure out if there is an easy way to identify the missing critical patches/packages on my RHEL5 boxes. This is for audit purposes and was trying to figure out if there was an RPM command ...
0
votes
1answer
357 views

Installing JDK on Amazon linux box gives error: open of <html> failed: No such file or directory

I just got a new amazon linux box and I'm trying to install jdk on it. These are the commands i followed but I am getting an error: $ java -version java version "1.6.0_24" OpenJDK Runtime Environment ...
1
vote
3answers
90 views

Yum equivalent of rpm --nopreun

I have a buggy RPM which deletes the installation files when it is upgraded. I want to run yum update pkg-name but I don't want to run the %preun section. Is this possible with yum? If so, what's the ...
1
vote
0answers
87 views

Bad RPM Signatures

I'm trying to set up a repo that contains both CentOS 6.4 and 5.9 packages. The machine itself is 6.4. I've created a GPG key and have been able to sign my 6.4 packages no problem. When I create them ...
1
vote
1answer
544 views

I'm getting “yum error no such table packages”, how do I fix corrupted db?

I'm trying to use following guide: Scientific Linux - How To Upgrade To The Latest S.L. 6.x Release to update my Scientific Linux release 6.3 to Scientific Linux release 6.4. # yum update ...
3
votes
2answers
413 views

check what 32-bit packages are installed on a 64-bit server

I'd like to check the binaries installed on my server and know if the is a 32-bit binary installed. rpm -qa would give me all the packages installed. However if i try to grep through it like so, rpm ...
-1
votes
2answers
165 views

What is the difference between rpm file and 'make' source code from installation perspective [closed]

The RPM is compiled file package which is easy to use. The problem is some RPMs need much dependencies which is annoying. I have to search and download the dependency RPMs. Alternatively, I can ...
0
votes
1answer
186 views

Failed to build rpm from source

I want to build a package from source, basically all I did was downloading Percona-Server-56-5.6.12-rc60.4.393.rhel6.src.rpm and adding -DWITH_INNODB_MEMCACHED=ON to spec file. ...
0
votes
3answers
1k views

newer libmysqlclient.so creates a conflicts with a php-mysql install

I have a working MySQL 5.6 server on a CentOS 6.4 I'm trying tp get PHP working as well, and to create a connection to the MySQL. As I understand I need the following components : php and php-mysql ...
1
vote
2answers
176 views

Linux - Package version maintenance across multiple servers

Problem: If I spin up a server1 today, all installed packages will be based on current upstream versions. If I spin up server2 tomorrow, again, all installed packages will be based on upstream ...
0
votes
1answer
37 views

Linux - Upstream package version no longer available

On my dev server I am running Percona (5.5.27), and have just spun up another server to act as a staging area for public access to a new project. I am trying to control package versions by using yum ...
1
vote
3answers
720 views

RPM ignore conflicts

is there a way to ignore rpm version conflicts by keeping the latest version installed? For example. I want to install gawk in AIX. I have all the required rpms in a folder ...
0
votes
2answers
184 views

Is there a way to get Satellite 5.3 to list which packages are installed on each system?

I'm trying to generate a list of all the packages installed per server without having to go through each using rpm. I'm thinking Satellite should be able to provide this in a decent (hopefully easily ...
0
votes
0answers
237 views

RPM Version Issue and won't install

Get this error when trying to install an RPM: rpm -Uvh rpmforge-release-0.5.3-1.el6.rf.x86_64.rpm warning: rpmforge-release-0.5.3-1.el6.rf.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID 6b8d79e6 ...
0
votes
1answer
41 views

Can't locate cron service, how to start it?

# rpm -qa | grep cron crontabs-1.10-5.noarch I have the above version of cron installed on my RHEL 6 server. My crontabs commands aren't reconginzed: # crontabs -l -bash: crontabs: command not ...
-2
votes
1answer
35 views

Trouble installing rpm package [closed]

This is probably a dumb question. I need to install the rpm package as listed here: http://www.securityspace.com/smysecure/catid.html?in=CESA-2012:0467 but I simply don't know where it is hosted. I ...
0
votes
0answers
40 views

rpm to track system version requiring all rpms as dependency surpasses 8k per line limit

I would like to be able to install one package that tracks the version of the system. If this package is installed I would like to be able to guarantee that the system is at the appropriate update ...
0
votes
1answer
475 views

can not install glibc-devel 'Requires: libnss_files.so.2' error

I'm using Linux 6.1 I need to install glibc-devel but it fails with this error. [root@server1 Packages]# yum install glibc-devel-2.12-1.25.el6.i686.rpm Loaded plugins: refresh-packagekit Setting up ...
3
votes
1answer
2k views

openVPN centOS 6.4 64bit dependency issues

Everytime I download the openVPN rpm (http://mirror.its.sfu.ca/mirror/CentOS-Third-Party/epel/6/x86_64/openvpn-2.2.2-1.el6.x86_64.rpm) and try to install it, I'm running into dependency issues. What ...
1
vote
4answers
304 views

quick rpm install

I am trying to install percona server. This is a test machine and installed packages do not really matter. What all I need to do is install percona mysql server. ...
1
vote
3answers
232 views

Keep installed RPMs in sync

What is the best way to keep several CentoS/RH 5 servers keep the same set of RPM's? I.e., when I install or update an RPM on one of them using a common YUM repository, make the other servers ...
-2
votes
1answer
257 views

installing percona mysql on centos [closed]

From where will I get the mysqldump file from /usr/bin of percona mysql server (32 bit centos 5)? Is it available on the web without installing the software? In other words I am collecting all ...
3
votes
1answer
127 views

Going from source to RPM

I'm curious about the major difference/pros/cons between installing services and tools from source over using RPMs and from repositories. From my understanding using a repo/rpm gives you the ability ...
0
votes
1answer
165 views

php-soap 5.3.17-2 el6 x86_64

I just transferred a website to a server where I appear to lack the PHP-SOAP extension. Unfortunately I cannot upgrade to the 5.4.10 that is available on remi at the moment as I am not 100% sure if ...
9
votes
3answers
624 views

RedHat: is it possible to install packages in a kind of mock environment to build RPMs

Is there a tool that allows to install the dependecies of an RPM .spec into an isolated environment? I won't install such dependencies globally on the system and I am not able to do so since I have ...
1
vote
3answers
1k views

/usr/bin/python (Python 2.4) was deleted on CentOS 5. I compiled from source but yum is still broken. How can I get everything back to the way it was?

I saw a lot of other questions like this but none of them answered the exact part I am having trouble with (actually installing the Python RPM). Someone on my system deleted /usr/bin/python and ...
4
votes
2answers
155 views

difference between compiled and installed via rpm (zypper)

In an openSUSE 11.1 I download, compile and install ImageMagick via: wget ftp://.../pub/graphics/ImageMagick/ImageMagick-6.7.7-0.zip unzip ImageMagick-6.7.7-0.zip cd ImageMagick-6.7.7-0 ./configure ...
2
votes
2answers
345 views

RPM with RHEL: install 2 version of same package / different arch

I think the title is pretty self explanatory :) Is it possible, under RHEL (v 5) to install 2 instances of the same packages with 32 bit support for one and 64 bits support for the other one? ...
2
votes
2answers
787 views

Httpd restart “Address already in use” error

I have an .rpm, which I created. In its %post part, I do some stuff, and in the end of this script, i call service httpd restart. It gives the following error: + service httpd restart Stopping httpd: ...
0
votes
1answer
4k views

How to install libboost-devel on CentOS 6.3

How to install libboost-devel on CentOS 6.3? I have tried the following command: yum install libboost-devel Output: Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * ...
2
votes
1answer
1k views

How does the RPM Database typically become corrupt?

We are automating some deploy scripts which uninstall/install RPMs. I've seen on more than one of our hosts that rpm -qa returns something like: # rpm -qa | grep tcl tcl-8.5.7-6.el6.x86_64 ...
1
vote
2answers
604 views

Installing jdk7u7 on Centos5.8

I'm trying to install Java SDK (jdk-7u7-linux-i586.rpm) on Linux CentosOS 5.8. Im using this guide, and downloading everything from the Oracle website. When executing rpm -Uvh ...
-1
votes
2answers
3k views

What is the correct dependency rpm for libcurl.so.3

So I have a failed dependency and I am having trouble downloading the correct rpm. The error is libcurl.so.3()(64bit) is needed. I have Centos 6 and I have looking in this site for the correct rpm. ...